Fac-360
Companies

Comprobantes with their state

GET
/console/v1/companies/{companyId}/documents

Authorization

consoleSession
__Host-apf_console<token>

Set by POST /console/v1/sessions. HttpOnly, Secure, SameSite=Strict, Path=/, __Host- prefixed. It is never readable by JavaScript and there is no header alternative: accepting both carriers would let an attacker choose the weaker one.

In: cookie

Path Parameters

companyId*string
Formatuuid

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100
Default25
state?string
documentType?string

Value in

  • "01"
  • "03"
  • "07"
  • "08"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/console/v1/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents" \  -H "Authorization: Bearer apf_v2_tu_credencial"
{  "schemaVersion": "console.1",  "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",  "documents": [    {      "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",      "documentType": "01",      "series": "string",      "number": "string",      "state": "string",      "fiscalState": "ISSUED",      "stateVersion": 1,      "environment": "BETA",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}